---
title: "Configuring CallApp Add-on and  Users"
slug: "setting-up-callapp-users"
updated: 2026-01-12T17:11:12Z
published: 2026-01-12T17:11:12Z
canonical: "kb.connecttoteams.com/setting-up-callapp-users"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://kb.connecttoteams.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuring CallApp Add-on and  Users

This guide outlines a specific use case for leveraging the ConnecttoTeams API to configure and deploy the ConnecttoTeams Unified App. While the ConnecttoTeams service is also available in other Teams applications tailored to individual services, those apps are outside the scope of this document.

## Part I: Add CallApp Add-on to Enterprise

1. **Enable CallApp for Enterprise**

**If Enterprise is not yet created, create the Enterprise:**

**If Enterprise is already existing with PBX enabled, add the CallApp Add-on to the Enterprise**

Edit the enterprise to add the `CALLAPP` to the `services` attribute.

See the API call details here: [Common API Methods > Edit Enterprise](/v1-api/apidocs/common-api-methods#sync-unified-app).
  1. Follow the guide in [Creating and Registering an Enterprise with Restricted Access](/v1-api/apidocs/creating-enterprise-with-restricted-access#3-create-the-enterprise), but be sure to pass the value [`PBX","CALLAPP"]` to the `services` instead.
  2. Proceed to follow the rest of the [Creating and Registering an Enterprise with Restricted Access](/v1-api/apidocs/creating-enterprise-with-restricted-access) guides to complete the PBX configuration.
2. **Get CallApp Consent**

Follow the steps in [Enterprise Admin URL Workflow](/v1-api/apidocs/common-workflow) by using values `action_type` = `“GET_CALL_APP_CONSENT”` and corresponding Consent Type from the Supported Action Types table.
3. **Sync the Unified App**

Follow the instruction here: [Common API Methods > Sync Unified App](/v1-api/apidocs/common-api-methods#sync-unified-app).

## Part II: Configure CallApp Users

1. ### Configure CallApp Users

**API Endpoint**

Method: `POST`

Path: `/valet/configureValetUser`

**Request Body (JSON)**

```json
{
  "pbxCallPolicyInfo": {
    "callPolicyCNAM": "TRANSPARENT",
    "callPolicyName": "Global",
    "forwardedCallsCallerId": "USER_CALLER_ID"
  },
  "authenticationResult": {
    "authenticationResult": {
      "accessToken": "eyJ0eXAiOiJKV1QiLCJub25jZSI6IjdKbXh..............",
      "accessTokenType": "login.microsoftonline.com",
      "expiresOn": 1743285790991831,
      "idToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1..............",
      "multipleResourceRefreshToken": false,
      "userInfo": {
        "displayableId": "globaladmin@example.com",
        "identityProvider": "user",
        "tenantId": "<tenantid>"
      }
    }
  },
  "userType": "Service",
  "directRouteId": -1,
  "useTeamsVoicemail": false,
  "password": "<password>",
  "rePassword": "<password>",
  "pbxAuthUserId": "104",
  "pbxLocation": "<pbx location>",
  "pbxUserId": "104",
  "phoneNumber": "14139301634",
  "portalLoginName": "",
  "portalPassword": "",
  "teamsUserId": "user1@example.com",
  "useEnterpriseDialPlan": true,
  "tenantID": "<tenant-id>",
  "loginID": "<ent-admin-id@example.com>",
  "sipAutoProvisioningEnabled": false,
  "useAudioConferenceVRP": false,
  "userTag": ""
}
```

**Required Fields**

`directRouteId`

`password`

`pbxAuthUserId`

`pbxUserId`

`phoneNumber`

`pbxLocation`

`teamUserId`

`authenticationResult`

**API Response**

On success, the API returns

```json
200 OK
```
2. ### Sync Teams Users

Any changes in the users as mentioned in the above step is applied only to ConnecttoTeams databases and the PBX instance. The change need to be pushed to Microsoft as well so that the Teams User will actually be able to receive and make calls thru the PBX.

See the API call details here: [Common API Methods > Sync Teams Users](/v1-api/apidocs/common-api-methods#sync-teams-users).
